<!-- //////////////////////START-SAIL-LIST////////////////////////////// -->
<div class="card">
    <div class="card-header">
        <h2>Listado de Ventas</h2>
        <br><br>
        <form role="form" id="searchForm" name="searchForm" method="post">
            <div class="row">
                <div class="col-lg-6 col-md-6 col-sm-6 col-sx-6 m-t-10">
                    <div class="input-group">
                        <span class="input-group-addon"><i class="zmdi zmdi-account-box"></i></span>
                        <div class="fg-line">
                            <input type="text" class="typeclients form-control" id="clientes" name="clientes" value="{{params.clientes}}" placeholder="CLIENTE...">
                        </div>
                    </div>
                </div>
                <div class="col-lg-6 col-md-6 col-sm-6 col-sx-6 m-t-10">
                    <div class="input-group">
                        <span class="input-group-addon"><i class="zmdi zmdi-thumb-up"></i></span>
                        <div class="fg-line">
                            <select class="chosen" name="marcas" id="marcas" data-placeholder="Marca">
                                <option></option>
                                 {% for m in brands %}
                                    <option value="{{m.brand_id}}" {% if params.marcas==m.brand_id %} selected {% endif %}>{{m.brand_name}}</option>
                                {% endfor %}
                            </select>
                        </div>
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-lg-6 col-md-6 col-sm-6 col-sx-6 m-t-10">
                    <div class="input-group">
                        <span class="input-group-addon"><i class="zmdi zmdi-collection-item-1"></i></span>
                        <div class="fg-line">
                            <input type="text" class="form-control" name="numeroventa" id="numeroventa" value="{{params.numeroventa}}" placeholder="# Venta">
                        </div>
                    </div>
                </div>
                <div class="col-lg-6 col-md-6 col-sm-6 col-sx-6 m-t-10">
                    <div class="input-group">
                        <span class="input-group-addon"><i class="zmdi zmdi-collection-item-1"></i></span>
                        <div class="fg-line">
                            <input type="text" class="form-control" name="serialcontrato" id="serialcontrato" value="{{params.serialcontrato}}" placeholder="# Serial o Contrato">
                        </div>
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-lg-6 col-md-6 col-sm-6 col-sx-6 m-t-10">
                    <div class="input-group">
                        <span class="input-group-addon"><i class="zmdi zmdi-calendar"></i></span>
                        <div class="fg-line">
                            <input type="text" class="date-picker form-control" name="fechadesde" id="fechadesde" value="{{params.fechadesde}}" placeholder="Fecha desde">
                        </div>
                    </div>
                </div>
                <div class="col-lg-6 col-md-6 col-sm-6 col-sx-6 m-t-10">
                    <div class="input-group">
                        <span class="input-group-addon"><i class="zmdi zmdi-calendar"></i></span>
                        <div class="fg-line">
                            <input type="text" class="date-picker form-control" name="fechahasta" id="fechahasta" value="{{params.fechahasta}}" placeholder="Fecha hasta">
                        </div>
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-lg-6 col-md-6 col-sm-6 col-sx-6 m-t-10">
                    <div class="input-group">
                        <span class="input-group-addon"><i class="zmdi zmdi-account"></i></span>
                        <div class="fg-line">
                            <input type="text" id="usuarios" name="usuarios" value="{{params.usuarios}}" class="typeusersoppotunity form-control" placeholder="Usuario...">
                        </div>
                    </div>
                </div>
                <div class="col-lg-6 col-md-6 col-sm-6 col-sx-6 m-t-10">
                    <div class="input-group">
                        <span class="input-group-addon"><i class="zmdi zmdi-info-outline"></i></span>
                        <div class="fg-line">
                            <select class="chosen" name="serialescontratos" id="serialescontratos" data-placeholder="Estado venta">
                                <option></option>
                                <option value="0" {% if params.serialescontratos=="0" %} selected {% endif %}>Pendientes</option>
                                <option value="1" {% if params.serialescontratos=="1" %} selected {% endif %}>Confirmados</option>
                            </select>
                        </div>
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-sm-12 text-right">
                    <input type="hidden" name="_METHOD" value="GET"/>
                    <input type="hidden" name="pagina" id="pagina" value="{{params.pagina}}"/>
                    <input type="hidden" name="cantidadResultados" id="cantidadResultados" value="{{params.countResults}}"/>
                    <input type="hidden" name="totalItems" id="totalItems" value="{{params.totalItems}}"/>
                    <button type="submit" class="btn btn-primary btn-lg m-t-10"><i class="zmdi zmdi-search"></i> Buscar</button>
                </div>
                <div class="col-sm-6">
                </div>
                <div class="col-sm-6 text-right">
                    <button class="btn palette-Green bg m-t-25"><i class="zmdi zmdi-download"></i> Descargar Listado</button>
                </div>
            </div>

        </form>
    </div>

    <!-- ////// -->

    {% for sale in sales %}
        <div class="m-15 p-15" style="border:1px solid #ccc;">
            <div class="row">
                <div class="col-lg-6 col-md-6 col-sm-6 col-sx-6">
                    <a href="editar/{{ sale.opportunity_id }}" class="f-18">Venta # {{ sale.opportunity_salenumber }}</a>
                </div>
                <div class="col-lg-6 col-md-6 col-sm-6 col-sx-6 text-right">
                    <p class="c-lime">Fecha registro {{ sale.opportunity_date }} - {{ sale.opportunity_user }}</p>
                </div>

                <div class="col-lg-6 col-md-6 col-sm-6 col-sx-12">
                    Cliente<br /><span class="f-18 c-green">{{ sale.opportunity_client }}</span>
                </div>
                <div class="col-lg-3 col-md-3 col-sm-3 col-sx-12">
                   Marca<br /><span class="f-18 c-green">{{ sale.brand_name }}</span>
                </div>
                <div class="col-lg-3 col-md-3 col-sm-3 col-sx-12">
                   Total<br /><span class="f-18 c-green"><strong>usd${{ sale.opportunity_total|number_format(2, ',', '.') }}</strong></span>
                </div>

                <div class="col-lg-12 col-md-12 col-sm-12 col-sx-12  m-t-15" style="border-top:1px solid #ccc;">
                    <div class="row p-t-15">
                        <div class="col-lg-2 col-md-2 col-sm-4 col-sx-4">
                            <strong>Producto</strong>
                        </div>
                        <div class="col-lg-2 col-md-2 col-sm-4 col-sx-4">
                            <strong>Cantidad</strong>
                        </div>
                        <div class="col-lg-2 col-md-2 col-sm-4 col-sx-4">
                            <strong>Precio unitario</strong>
                        </div>
                        <div class="col-lg-2 col-md-2 col-sm-4 col-sx-4">
                            <strong>Precio Total</strong>
                        </div>
                        <div class="col-lg-2 col-md-2 col-sm-4 col-sx-4">
                            <strong>Serial / Contrato</strong>
                        </div>
                        <div class="col-lg-2 col-md-2 col-sm-4 col-sx-4">
                            <strong>Estado</strong>
                        </div>
                    </div>
                </div>
                {% for detail in sale.opportunity_details %}
                    <div class="col-lg-12 col-md-12 col-sm-12 col-sx-12  m-t-15" style="border-top:1px solid #ccc;">
                        <div class="row p-t-15">
                            <div class="col-lg-2 col-md-2 col-sm-4 col-sx-4">
                                {{ detail.product }}
                            </div>
                            <div class="col-lg-2 col-md-2 col-sm-4 col-sx-4">
                                {{ detail.qty }}
                            </div>
                            <div class="col-lg-2 col-md-2 col-sm-4 col-sx-4">
                                {{ detail.currency }}{{ detail.price|number_format(2, ',', '.') }}
                            </div>
                            <div class="col-lg-2 col-md-2 col-sm-4 col-sx-4" style="position:relative">
                               {{ detail.currency }}
							   {% if detail.sku=="FTNT-COT" %}
									{{ detail.price|number_format(2, ',', '.') }}
							   {% else %}
									{{ (detail.price*detail.qty)|number_format(2, ',', '.') }}
								{% endif%}
                            </div>
                            <div class="col-lg-2 col-md-2 col-sm-4 col-sx-4">
                                {% if sale.details_serials|length > 0 %}

                                    {% set fullSerials=1 %}
                                    {% set fullContrats=1 %}

                                    {% set var1=0 %}
                                    {% set var2=0 %}
                                    {% set var3=0 %}
                                    {% set var4=0 %}

                                    <!-- ///////////////////////////////////////////////////////// -->
                                    {% set reglaItem="" %}

									{% for key, serial in sale.details_serials %}
                                        {% if key == detail.id_detail %}
											{% if sale.brand_id==1 and detail.type != "HARD" and detail.type != "HW"  %}
												{% if detail.sku!="FTNT-COT" %}
													{% set var2=detail.qty %}
												{% endif %}
											{% endif %}



                                            <!-- ///////////////////////////////////////////////////////// -->
                                            {% for s in serial %}
                                                {% if s.infoRules != ""  %} {% set reglaItem=s.infoRules %} {% endif %}

                                                {% if s.type == "Serial"  %}

                                                    {% if s.status == "0"  %}
                                                    	{% set fullSerials=0 %}
                                                    {% endif %}

													{% if detail.type == "HARD" or detail.type == "HW" %}
														{% set var1=detail.qty %}
													{% else %}
														{% set var1=1 %}
													{% endif %}

													{% if detail.sku=="FTNT-COT" %}
														{% set var2=1 %}
													{% endif %}

                                                    {% if s.number != "" %}
                                                        {% set var3=var3+1 %}
                                                    {% endif %}
                                                {% endif %}

												{% if s.type == "Contrato" %}
                                                	{% if s.status == "0"  %}
                                                    	{% set fullContrats=0 %}
                                                    {% endif %}

													{% if detail.father!=0 %}
														{% if sale.brand_id==1 %}
															{% set var2=detail.qty %}
														{% else %}
															{% set var2=1 %}
														{% endif %}

														{% if s.number != "" %}
															{% set var4=var4+1 %}
														{% endif %}
													{% else %}
														{% if sale.brand_id!=1 %}
															{% set var2=var2+1 %}
														{% endif %}

														{% if s.number != "" %}
															{% set var4=var4+1 %}
														{% endif %}
													{% endif %}
                                                {% endif %}

                                            {% endfor %}

                                            <!-- ///////////////////////////////////////////////////////// -->

                                        {% endif %}
                                    {% endfor %}

                                    <!-- ///////////////////////////////////////////////////////// -->
                                    {% if reglaItem=="/RCADM/" %}
										No requerido
									{% else %}

										{% if detail.father == 0 %}

											{% if detail.type != "Service" and detail.type != "SaaS" %}

												{% if var3 > var1 %}
													{{var3}}
													{% set var1=var3 %}
												{% else %}
													{{var1}}
												{% endif %}


												{% if sale.brand_id==1 %}
													seriales
												{% else %}
													serial/licencia
												{% endif %}

												({{var3}} ingresados)<br>

											{% endif %}
										{% endif %}

										{% if var2 > 0 %}
											{% if detail.sku=="FTNT-COT" %}
												{{var2}} contratos (
													{% if var4>0 %}
														1
													{% else %}
														{{var4}}
													{% endif %}
												ingresados)
											{% else %}
												<br>{{var2}} contratos ({{var4}} ingresados)
											{% endif %}
										{% endif %}

									{% endif %}
                                    <br />
                                {% endif %}
                            </div>
                            <div class="col-lg-2 col-md-2 col-sm-4 col-sx-4">

                            {% set estadoFinal="COMPLETO" %}
                            {% set regla="" %}
                            {% set color="c-green" %}

                            {% for key, serial in sale.details_serials %}
                                {% if key == detail.id_detail %}

                                    {% for s in serial %}
                                        {% if s.statusComplete == "PENDIENTE" %}
                                        	{% set estadoFinal="PENDIENTE" %}
                                            {% set color="c-red" %}
                                        {% endif %}

                                        {% set regla=s.infoRules %}
                            		{% endfor %}
                                {% endif %}
                            {% endfor %}



                            <span class='{{color}}' title="{{regla}}">{{estadoFinal}}</span>

                            	<!--{% if detail.type == "SaaS" or detail.type == "Service" %}
                                	{% if detail.sku=="FTNT-COT" %}
										{% if var1==var3 and var4>=var2%}
											<span class="c-green">CARGA COMPLETA</span>
										{% else %}
											<span class="c-red">CARGA PENDIENTE</span>
										{% endif %}
									{% else %}
										{% if var2>=detail.qty and var2==var4 %}
											<span class="c-green">CARGA COMPLETA</span>
										{% else %}
											<span class="c-red">CARGA PENDIENTE</span>
										{% endif %}
									{% endif %}

                                {% else %}
                                    {% if var1==var3 and var2==var4 %}
                                        <span class="c-green">CARGA COMPLETA</span>
                                    {% else %}
                                        <span class="c-red">CARGA PENDIENTE</span>
                                    {% endif %}
                                {% endif %}-->

                                <!-- ///////////////////////////////////////////////////////// -->

                                <!--{% if fullSerials=="1" and fullContrats=="1" %}
                                    (C.C.)
                                {% else %}
                                	(C.P.)
                                {% endif %}-->

                                <!--{% if sale.details_serials|length > 0 %}
                                	Ver estados <button type="button" data-value="{{ detail.id_detail }}"  class="btn btn-default waves-effect viewstatus"><i class="zmdi zmdi-menu"></i></button>

                                    <div style="position:absolute; background:#f4f4f4; padding:10px; width:250px; z-index:9000; display:none; border:2px solid #ccc; border-radius:0 10px 10px 10px;" id="showStatus{{ detail.id_detail }}">
                                    {% for key, serial in sale.details_serials %}
                                        {% if key == detail.id_detail %}
                                            {% for s in serial %}
                                                <div style="padding-bottom:15px; width:100%">
                                                    {{ s.type }} # {{ s.number }}
                                                    <BR />
                                                    {% if s.status == 1 %}<span class="c-green">Registrado</span><br>{% endif %}
                                                    {% if s.status == 0 or s.status == 2 %}<span class="c-red">No Registrado</span><br>{% endif %}
                                                </div>
                                            {% endfor %}
                                        {% endif %}
                                    {% endfor %}
                                    </div>
                                {% endif %}-->
                            </div>
                        </div>
                    </div>
                {% endfor %}
            </div>
        </div>
    {% endfor %}

    <!-- ////// -->
	<div class="row">
		<div class="col-lg-3 col-md-3 col-sm-3 col-sx-6">
		</div>
		<div class="col-lg-3 col-md-3 col-sm-3 col-sx-6">
			<button type="button" class="btn btn-primary btn-lg m-t-10 w-100 bpagback">
        <i class="zmdi zmdi-caret-left-circle zmdi-hc-fw"></i> Anterior
      </button>
		</div>
		<div class="col-lg-3 col-md-3 col-sm-3 col-sx-6">
			<button type="button" class="btn btn-primary btn-lg m-t-10 w-100 bpagenext">
        Siguiente <i class="zmdi zmdi-caret-right-circle zmdi-hc-fwh"></i>
      </button>
		</div>
		<div class="col-lg-3 col-md-3 col-sm-3 col-sx-6">
		</div>
	</div>

    <!-- ////// -->

    <br>
</div>
<!-- //////////////////////END-SAIL-LIST////////////////////////////// -->
